## live-wrapper 0.7

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/live-wrapper.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/live-wrapper.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/live-wrapper"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/live-wrapper"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== yarns/Makefile ===
# Copyright 2015  Lars Wirzenius
#           2016  Neil Williams <codehelp@debian.org>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# =*= License: GPL-3+ =*=


yarns = $(shell ls [0-9][0-9][0-9]-*.yarn)

all: lwr-yarns.pdf lwr-yarns.html

lwr-yarns.pdf: $(yarns) Makefile
	pandoc --chapters \
		--toc \
		--number-sections \
		-V documentclass:report \
		-o $@ $(yarns)

lwr-yarns.html: $(yarns) Makefile yarns.css
	pandoc --chapters \
		--toc \
		--number-sections \
		--standalone \
		--self-contained \
		-H yarns.css \
		-o $@ $(yarns)

## live-wrapper 0.3

=== debian/changelog ===
live-wrapper (0.3) unstable; urgency=medium

  * Fix handling of mirror selection for building the image.
  * Using HTTP instead of FTP for fetching the D-I helpers.
  * Use --apt-mirror not --mirror for vmdebootstrap.
  * Documentation updates.

 -- Iain R. Learmonth <irl@debian.org>  Wed, 25 May 2016 13:26:02 +0100

live-wrapper (0.2) unstable; urgency=medium

  * User documentation is now included.

 -- Iain R. Learmonth <irl@debian.org>  Fri, 18 Dec 2015 11:12:58 +0000

live-wrapper (0.1) unstable; urgency=medium

  * Initial release. (Closes: #804315)

 -- Iain R. Learmonth <irl@debian.org>  Sat, 21 Nov 2015 15:18:36 +0000

=== debian/control ===
Source: live-wrapper
Section: misc
Priority: optional
Maintainer: Debian Live <debian-live@lists.debian.org>
Uploaders: Iain R. Learmonth <irl@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools,
               python-sphinx
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/debian-live/live-wrapper.git
Vcs-Git: http://anonscm.debian.org/git/debian-live/live-wrapper.git
Homepage: https://debian-live.alioth.debian.org/live-wrapper/

Package: live-wrapper
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, vmdebootstrap
Description: Wrapper for vmdebootstrap for creating live images
 live-wrapper is a wrapper around vmdebootstrap to install a live Debian
 system into an ISO image, which can be used by booting from optical media or a
 USB device.
 .
 isolinux and grub2 bootloaders can be supported, depending on the distribution
 and the architecture.

Package: live-wrapper-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Wrapper for vmdebootstrap for creating live images (Documentation)
 live-wrapper is a wrapper around vmdebootstrap to install a live Debian
 system into an ISO image, which can be used by booting from optical media or a
 USB device.
 .
 isolinux and grub2 bootloaders can be supported, depending on the distribution
 and the architecture.
 .
 This package contains documentation on using live-wrapper to create live
 images.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_build:
	dh_auto_build
	( cd doc && make html )
	rm doc/_build/html/_static/jquery.js
	rm doc/_build/html/_static/underscore.js

## live-wrapper 0.4

=== debian/changelog ===
live-wrapper (0.4) unstable; urgency=medium

  [ Iain R. Learmonth ]
  * Fixed discovery of the customization script (Closes: #831637)
  * Now uses native xorriso options, not mkisofs compatibility (Closes: #831368)
  * debian/control:
   - Standards version updated to 3.9.8
   - Vcs-Git and Vcs-Browser changes to use HTTPS URLs
   - Added dependencies on xorriso and isolinux (Closes: #831367)
   - vmdebootstrap dependency now handled by dh_python

  [ Neil Williams ]
  * Added cmdtest and yarns support
  * Added support for downloading udebs
  * Fixes to image build process
  * Fixed isolinux paths and grub module loading

 -- Iain R. Learmonth <irl@debian.org>  Sat, 22 Oct 2016 22:48:08 +0100

=== debian/control ===
Source: live-wrapper
Maintainer: Debian Live <debian-live@lists.debian.org>
Uploaders: Iain R. Learmonth <irl@debian.org>
Section: misc
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools,
               python-sphinx
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-live/live-wrapper.git
Vcs-Git: https://anonscm.debian.org/git/debian-live/live-wrapper.git
Homepage: https://debian-live.alioth.debian.org/live-wrapper/

Package: live-wrapper
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         xorriso,
         isolinux,
         debian-archive-keyring
Suggests: cmdtest
Description: Wrapper for vmdebootstrap for creating live images
 live-wrapper is a wrapper around vmdebootstrap to install a live Debian
 system into an ISO image, which can be used by booting from optical media or a
 USB device.
 .
 isolinux and grub2 bootloaders can be supported, depending on the distribution
 and the architecture.

Package: live-wrapper-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Wrapper for vmdebootstrap for creating live images (Documentation)
 live-wrapper is a wrapper around vmdebootstrap to install a live Debian
 system into an ISO image, which can be used by booting from optical media or a
 USB device.
 .
 isolinux and grub2 bootloaders can be supported, depending on the distribution
 and the architecture.
 .
 This package contains documentation on using live-wrapper to create live
 images.

## live-wrapper 0.5

=== debian/changelog ===
live-wrapper (0.5) unstable; urgency=medium

  [ Iain R. Learmonth ]
  * Core:
   - Logging has seen some improvements
   - Subdirectories within the CD root are now handled by a helper class
  * Installer:
   - Live image builds will now have installers by default
   - Daily builds, not release builds, are now used (an option to select this
     will appear in a future version)
   - Packages and Release files are generated for the CD-ROM pool
   - Hardcoded disk metadata (.disk) is added to enable the installer
  * Live System:
   - Default customise script fixes permissions on squashfs root (workaround
     for #843983)
   - systemd-networkd is no longer used in the live system
  * Bootloaders:
   - Bootloader files are only installed in the CD root when requested
   - Bootloader configurations are now shared between ISOLINUX and GRUB

  [ Ana C. Custura ]
  * Utilities:
   - memtest86+ can now be installed into the image through a command line flag
   - Hardware Detection Tool can now be installed into the image through a
     command line flag (not yet installed in the bootloader menu though)
  * Bootloaders:
   - Menu entries for booting memtest86+ and HDT exist in the abstract
     configuration (though are not yet serialised to the configurations
     written)
   - The installer can now be launched from either bootloader, either text-mode
     or graphical

  Thanks to the sponsors of the vmdebootstrap sprint, where the majority of
  these changes were made.

 -- Iain R. Learmonth <irl@debian.org>  Wed, 16 Nov 2016 09:54:04 +0000

## live-wrapper 0.6

=== debian/changelog ===
live-wrapper (0.6) unstable; urgency=medium

  [ Ana C. Custura ]
  * Removed memtest86+ and HDT due to compatibility issues with EFI boot
    (Closes: #813527, #846637)
  * Added main menu title and submenu generation for bootloaders
  * Added localised live boot options
  * Added installer with speech synthesis boot option
  * Fixed issues with graphical installer on isolinux boot (Closes: #846631)

  [ Iain R. Learmonth ]
  * lwr binary is now a generated entry point
  * Added --di-daily to allow selection of d-i URLs for daily builds (Closes:
    #846303)
  * Documentation has been updated to show how to choose an alternative build
    directory (Closes: #850763)
  * Documentation updated to show how attach a USB device to QEMU (Closes:
    #846632)
  * python-distro-info is now used to resolve codenames to suites (Closes:
    #846304)

 -- Iain R. Learmonth <irl@debian.org>  Mon, 23 Jan 2017 02:39:31 +0000

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,8 @@
          ${python:Depends},
          xorriso,
          isolinux,
-         debian-archive-keyring
+         debian-archive-keyring,
+         python-distro-info
 Suggests: cmdtest
 Description: Wrapper for vmdebootstrap for creating live images
  live-wrapper is a wrapper around vmdebootstrap to install a live Debian

## live-wrapper 0.6+nmu1

=== debian/changelog ===
live-wrapper (0.6+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add a dependency on python-pycurl, needed by lwr (closes: #861994)
  * Add Build-Depends: python-apt, python-cliapp, vmdebootstrap needed to
    completely build the lwr autodoc

 -- Florian Schlichting <fsfs@debian.org>  Tue, 16 May 2017 23:31:36 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,11 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                python-all,
+               python-apt,
+               python-cliapp,
                python-setuptools,
-               python-sphinx
+               python-sphinx,
+               vmdebootstrap
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-live/live-wrapper.git
 Vcs-Git: https://anonscm.debian.org/git/debian-live/live-wrapper.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,sphinxdoc

override_dh_auto_build:
	dh_auto_build
	( cd doc && make html )

## live-wrapper 0.6+nmu2

=== debian/changelog ===
live-wrapper (0.6+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove incorrect instance of converting to UTF-8.
  * Eliminate 'pyversions' warnings at build time.
  * Add 'python-requests' build dependency. Fixes docs build.
  * Add 'squashfs-tools' dependency. (Closes: #867282).

 -- Phil Wyett <philwyett@kathenas.org>  Fri, 14 Jul 2017 04:43:06 +0100

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                python-all,
                python-apt,
                python-cliapp,
+               python-requests,
                python-setuptools,
                python-sphinx,
                vmdebootstrap
@@ -20,10 +21,11 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python:Depends},
-         xorriso,
+         debian-archive-keyring,
          isolinux,
-         debian-archive-keyring,
-         python-distro-info
+         python-distro-info,
+         squashfs-tools,
+         xorriso
 Suggests: cmdtest
 Description: Wrapper for vmdebootstrap for creating live images
  live-wrapper is a wrapper around vmdebootstrap to install a live Debian

## live-wrapper 0.7

=== debian/changelog ===
live-wrapper (0.7) unstable; urgency=medium

  [ Steve McIntyre ]
  * Add contrib and non-free components to apt config. Needed to allow for
    building for images including firmware.
  * Add command-line config for the apt-mirror (the mirror to be
    configured inside the image), and change the default to use
    deb.debian.org. Also switch the default build apt source to use
    deb.debian.org
  * Add command-line config for addition of firmware packages, and update
    the docs about Customising Packages
  * In the standard customise script, generate lists of the packages
    installed in the image, and their sources. This needs a newer version
    of vmdebootstrap, 1.7-1+nmu1 or higher, to add deb-src lines in
    sources.list. Closes: #861070
  * Change to how apt-ftparchive is called, so the installer will
    work. This was part of the cause of #865015
  * Tweak the size of the isolinux menu so long menus will display
    better. This was the cause of #861421
  * Add support for specifying the Volume ID of the output image.
    Closes: #865384
  * Set the mode of the ISO root dir to 0755 (rwxr-xr-x).
    Closes: #865386
  * Tweaks to the code for handling extra debs and udebs
    + Separate downloading and creating metadata files
    + Match the pool dir layout from the Debian archive more closely
    + Add support for "base" debs
    + Generate Packages and Release files separately for debs and udebs
  * Add extra metadata to make d-i happy to install without network
    This was part of the cause of #865015
  * Fix up the root password in /etc/shadow so that the live installer
    will set it properly. This is the cause of #866206
  * Add myself to Uploaders
  * Fix up usage of python-apt when there is more than one version of a
    package available.
  * When using base debs, add them to the sources list too.
  * Add extra packages needed for braille and speech support.
    Closes: #863177
  * Ask pycurl to follow redirects when downloading. Closes: #862000
  * Output the xorriso command line we're using into .disk/mkisofs, just
    like on Debian installer images

  [ Phil Wyett ]
  * Various fixes for coding standards etc. Closes: #870845
  * Update to standards version 4.0.0. Closes: #870846
  * Add Suggests: live-wrapper-doc

 -- Steve McIntyre <93sam@debian.org>  Sat, 05 Aug 2017 14:49:10 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: live-wrapper
 Maintainer: Debian Live <debian-live@lists.debian.org>
-Uploaders: Iain R. Learmonth <irl@debian.org>
+Uploaders: Iain R. Learmonth <irl@debian.org>, Steve McIntyre <93sam@debian.org>
 Section: misc
 Priority: optional
 Build-Depends: debhelper (>= 9),
@@ -11,8 +11,8 @@
                python-requests,
                python-setuptools,
                python-sphinx,
-               vmdebootstrap
-Standards-Version: 3.9.8
+               vmdebootstrap (>= 1.7-1+nmu1)
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-live/live-wrapper.git
 Vcs-Git: https://anonscm.debian.org/git/debian-live/live-wrapper.git
 Homepage: https://debian-live.alioth.debian.org/live-wrapper/
@@ -26,7 +26,8 @@
          python-distro-info,
          squashfs-tools,
          xorriso
-Suggests: cmdtest
+Suggests: cmdtest,
+          live-wrapper-doc
 Description: Wrapper for vmdebootstrap for creating live images
  live-wrapper is a wrapper around vmdebootstrap to install a live Debian
  system into an ISO image, which can be used by booting from optical media or a

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	( cd doc && make html )

## live-wrapper 0.8

=== debian/changelog ===
live-wrapper (0.8) unstable; urgency=medium

  [ Steve McIntyre ]
  * Add "-padding 0" to the xorriso command line to remove padding in the
    ISO image, as suggested by Thomas Schmitt.
  * Add -compliance no_emul_toc to the xorriso command line, as suggested
    by Thomas. Closes: #898995

  [ Jonathan Carter ]
  * Add "quiet splash" to cmdline
  * Update standards version to 4.3.0
  * Update to debhelper-compat (=12)
  * Add self to uploaders
  * Replace python-sphinx with python3-sphinx

 -- Jonathan Carter <jcc@debian.org>  Wed, 13 Feb 2019 15:56:34 +0000

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: live-wrapper
 Maintainer: Debian Live <debian-live@lists.debian.org>
-Uploaders: Iain R. Learmonth <irl@debian.org>, Steve McIntyre <93sam@debian.org>
+Uploaders: Iain R. Learmonth <irl@debian.org>,
+           Steve McIntyre <93sam@debian.org>,
+           Jonathan Carter <jcc@debian.org>
 Section: misc
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python-all,
                python-apt,
                python-cliapp,
                python-requests,
                python-setuptools,
-               python-sphinx,
+               python3-sphinx <!nodoc>,
                vmdebootstrap (>= 1.7-1+nmu1)
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-live/live-wrapper.git
-Vcs-Git: https://anonscm.debian.org/git/debian-live/live-wrapper.git
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/live-team/live-wrapper
+Vcs-Git: https://salsa.debian.org/live-team/live-wrapper.git
 Homepage: https://debian-live.alioth.debian.org/live-wrapper/
 
 Package: live-wrapper

=== debian/rules ===
--- 
+++ 
@@ -5,4 +5,6 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	( cd doc && make html )
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+	$(MAKE) -C doc html
+endif

## live-wrapper 0.8+nmu1

=== debian/changelog ===
live-wrapper (0.8+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 15:38:18 +0800

## live-wrapper 0.10

=== debian/changelog ===
live-wrapper (0.10) unstable; urgency=medium

  * Replaces stale fstab (Closes: #927216)
  * Move base.list to ../sources.list (Closes: #927216)
  * Don't store resolv.conf.bak cruft

 -- Jonathan Carter <jcc@debian.org>  Wed, 01 May 2019 09:15:43 +0200

live-wrapper (0.9) unstable; urgency=medium

  [ Jonathan Carter ]
  * Add missing 'remove_daemon_block' to customize.sh (Closes: #924000)

  [ Steve McIntyre ]
  * Add "-padding 0" to the xorriso command line to remove padding in the
    ISO image, as suggested by Thomas Schmitt.
  * Add -compliance no_emul_toc to the xorriso command line, as suggested
    by Thomas. Closes: #898995

 -- Jonathan Carter <jcc@debian.org>  Tue, 26 Mar 2019 20:13:22 +0200

=== debian/control ===
--- 
+++ 
@@ -27,6 +27,7 @@
          isolinux,
          python-distro-info,
          squashfs-tools,
+         mtools,
          xorriso
 Suggests: cmdtest,
           live-wrapper-doc

## live-wrapper 0.10build1

=== debian/changelog ===
live-wrapper (0.10build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:36:10 +0000
